using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Utilities.ProgramResource.Cqrs;

public class CreateProgramResourceValidator : AbstractValidator<CreateProgramResourceRequest>
{
    public CreateProgramResourceValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);
    }
}